Upload support cases
curl --request POST \
--url https://api1.irisagent.com/v1/cases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "12345",
"subject": "Application will not access the logs",
"status": "open",
"timeOfCreation": 17437722600,
"description": "<string>",
"priority": "high",
"type": "<string>",
"brand_id": "<string>",
"form_id": "<string>",
"tags": [
"billing",
"urgent"
],
"comments": [
{
"commentId": "123e4567-e89b-12d3-a456-426655440000",
"comment": "Please help to fix this ASAP.",
"commenter": "Customer",
"timeOfCreation": 17437722600,
"isPublic": true
}
],
"url": "https://support.example.com/cases/12345",
"custom_fields": {
"department": "IT",
"priority_level": 1
},
"kb_links": [
"<string>"
],
"source": "email",
"spam": false
}
]
}
'import requests
url = "https://api1.irisagent.com/v1/cases"
payload = { "data": [
{
"id": "12345",
"subject": "Application will not access the logs",
"status": "open",
"timeOfCreation": 17437722600,
"description": "<string>",
"priority": "high",
"type": "<string>",
"brand_id": "<string>",
"form_id": "<string>",
"tags": ["billing", "urgent"],
"comments": [
{
"commentId": "123e4567-e89b-12d3-a456-426655440000",
"comment": "Please help to fix this ASAP.",
"commenter": "Customer",
"timeOfCreation": 17437722600,
"isPublic": True
}
],
"url": "https://support.example.com/cases/12345",
"custom_fields": {
"department": "IT",
"priority_level": 1
},
"kb_links": ["<string>"],
"source": "email",
"spam": False
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: '12345',
subject: 'Application will not access the logs',
status: 'open',
timeOfCreation: 17437722600,
description: '<string>',
priority: 'high',
type: '<string>',
brand_id: '<string>',
form_id: '<string>',
tags: ['billing', 'urgent'],
comments: [
{
commentId: '123e4567-e89b-12d3-a456-426655440000',
comment: 'Please help to fix this ASAP.',
commenter: 'Customer',
timeOfCreation: 17437722600,
isPublic: true
}
],
url: 'https://support.example.com/cases/12345',
custom_fields: {department: 'IT', priority_level: 1},
kb_links: ['<string>'],
source: 'email',
spam: false
}
]
})
};
fetch('https://api1.irisagent.com/v1/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}API Reference
Upload support cases
Send support cases for AI training via this API
POST
/
v1
/
cases
Upload support cases
Authorizations
The Authorization header is required to authenticate API requests.
It should contain a bearer token obtained through the IrisAgent portal.
Body
application/json
Show child attributes
Show child attributes
Response
Cases uploaded successfully
Available options:
success, partial ⌘I